메인 콘텐츠로 건너뛰기
POST
/
v2
/
ipfs
/
presign
IPFS - Presign
curl --request POST \
  --url https://api.chainstream.io/v2/ipfs/presign \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/ipfs/presign"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/ipfs/presign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "presignUrl": "https://uploads.pinata.cloud/v3/files/sign/..."
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

응답

200 - application/json

성공 응답

presignUrl
string
필수

Presigned upload URL

예시:

"https://uploads.pinata.cloud/v3/files/sign/..."